0
Answered

Android 4.2.2 uses SSLv3 instead of TLS1.1

User447 2 years ago in Application • updated by Richard 2 years ago 2

My web server requires TLSv1.1 or TLSv1.2. This works fine with Kiosk Browser on android 5.0. But Kiosk Browser can not connect from our Android 4.2.2 tablets. Using chrome on the same tablets can connect fine so I know the tablet itself can support TLS.

It will only connect from Kiosk Browser when I enable SSLv3. I updated Kiosk Browser and no change. Is there some reason Kiosk Browser won't use TLS on Android 4.2.2?

Under review

This must relate to the age of the WebView on older versions of Android.